#include "iom16.h"

void init_timer0(void)
{
  OCR0 = 255;
  TCCR0 = (1 << WGM01) | (1 << COM00) | (1 << CS02) | (1 << CS00);
}

void init_timer2(void)
{
  SREG |= (1<<7);
  OCR2 = 255;
  TCCR2 = (1 << WGM21) | (1 << CS22) | (1 << CS21) | (1 << CS20);
  TIMSK |= (1 << OCIE2);
}

void main (void)
{
  DDRB = 255;
  init_timer0();
  init_timer2();
  while(1)
  {
  }
}

#pragma vector = TIMER2_COMP_vect
__interrupt void flashing()
{
  if ((PORTB & 3) == 1)
  {
    PORTB &= (0xFF << 2);
    PORTB |= 2;
  }
  else
  {
    PORTB &= (0xFF << 2);
    PORTB |= 1;
  }
}

